Subject: [Pce] Pending issues with draft-ietf-pce-binding-label-sid

From: Dhruv Dhody <[email-masked]>
Date: Wed, 7 Apr 2021 22:53:35 +0530

Hi WG,

We have some pending issues with draft-ietf-pce-binding-label-sid, as part
of the WGLC, that needs more inputs from the WG.

(1) Use of an explicit R flag to remove TE-PATH-BINDING TLV
Olivier and others suggest using a new R flag to explicitly remove
TE-PATH-BINDING. The current text requires all the TE-PATH-BINDING TLVs
that apply from that point on to be encoded.

A new R flag would have an impact on any existing
implementation/deployment. Please confirm on the list (or to the chairs
directly) if you object to the suggested change.

(2) Use of the term "Binding Label/SID"
Tom asked to use binding value instead.
As per authors
- Binding value is the term when referring to the specified value in the TLV
- binding label/SID is used in the generic sense

We also found label/SID or SID/label terms to be in use in multiple RFCs -
RFC 8403, RFC 8660, RFC 8664, RFC 8665.

Is the WG happy with the continued use of the term "binding label/SID"?

(3) Flags related to SR Policy
Adrian suggested removing them. There was no objection to this [1]; authors
are requested to act on this.

Please provide your inputs by 13th April, so that we can make progress with
this I-D. Working copy and Diff can be found at [2] and [3].

Thanks!
Dhruv & Julien

[1] https://mailarchive.ietf.org/arch/msg/pce/ODZGisT_Tq7aMmZ8QeE91FWHqIw/
[2]
https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-pce-binding-label-sid-08.txt
[3]
https://tools.ietf.org/rfcdiff?url1=https://www.ietf.org/archive/id/draft-ietf-pce-binding-label-sid-07.txt&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-pce-binding-label-sid-08.txt

---

From: <[email-masked]>
Date: Wed, 14 Apr 2021 12:53:38 +0200

Hi WG,

We did not hear any objections and thus we request the authors to post
an update with a new R flag in TE-PATH-BINDING TLV as well as all the
other previously agreed changes. Regarding the term "binding label/SID",
we leave it to the authors' discretion and any further AD/IESG comment
on it.

Thanks!

Dhruv & Julien

On 07/04/2021 19:23, Dhruv Dhody wrote:
> Hi WG,
>
> We have some pending issues with draft-ietf-pce-binding-label-sid, as
> part of the WGLC, that needs more inputs from the WG.
>
> TE-PATH-BINDING. The current text requires all the TE-PATH-BINDING
> TLVs that apply from that point on to be encoded.
>
> implementation/deployment. Please confirm on the list (or to the
> chairs directly) if you object to the suggested change.
>
> We also found label/SID or SID/label terms to be in use in multiple
> RFCs - RFC 8403, RFC 8660, RFC 8664, RFC 8665.
>
> Adrian suggested removing them. There was no objection to this [1];
> authors are requested to act on this.
>
> Please provide your inputs by 13th April, so that we can make progress
> with this I-D. Working copy and Diff can be found at [2] and [3].
>
> Thanks!
> Dhruv & Julien
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.